{
	"info": ", ei mitään epäselvää",
	"field": {
		"new_record": [
			["coad_company_id", "=", ["co_company_id"]],
			["coad_name", "=", ["co_name"]]
		],
		"coad_company_id": [],
		"coad_address_type": [],
		"coad_address": [
			["coad_address", "=", ["_str_Format", ["coad_address"]]],
			["coad_TEE_TEKSTIO"]
		],
		"coad_post_code": [
			["coad_TEE_TEKSTIO"]
		],
		"coad_post_office": [
			["coad_post_office", "=", ["_str_Format", ["coad_post_office"]]],
			["coad_TEE_TEKSTIO"]
		],
		"coad_telephone_area_code": [],
		"coad_telephone_number": [],
		"coad_info": [],
		"coad_text_address": [],
		"coad_transfer_id": [],
		"coad_name": [
			["coad_name", "=", ["_str_Format", ["coad_name"]]],
			["coad_TEE_TEKSTIO"]
		]
	},
	"function": {
		"coad_TEE_TEKSTIO": [
			["if", ["coad_name", "=", ""],
				[
					["coad_text_address", "=", ["co_name"]]
				]
			],
			[
				["coad_text_address", "=", ["coad_name"]]
			],
			[
				"if", ["coad_address", "<>", ""],
				[
					["coad_text_address", "=", ["concat", ["coad_text_address", "\n", "coad_address"]]]
				]
			],
			[
				"if", ["coad_post_code", "<>", ""],
				[
					["coad_text_address", "=", ["concat", ["coad_text_address", "\n", "coad_post_code"]]],
					["if", ["post_office", "<>", [""]],
						[
							["coad_text_address", "=", ["concat", ["coad_text_address", " ", "coad_post_office"]]]
						]
					]
				]
			],
			[
				[
					"if", ["coad_post_office", "<>", ""],
					[
						["coad_text_address", "=", ["concat", ["coad_text_address", "\n", "coad_post_office"]]]
					]
				]
			],
			[
				"if", ["co_country", "<>", ""],
				[
					["coad_text_address", "=", ["concat", ["coad_text_address", "\n", "co_country"]]]
				]
			]
		]
	}
}
